﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Linq;
using System.Text;

namespace Kupo.Settings
{

    class WarriorSettings : KupoSettings
    {


        public WarriorSettings()
            : base("Warrior-KupoSettings")
        {

        }

        [Setting]
        [DefaultValue(true)]
        public bool UseDefiance { get; set; }

        [Setting]
        [DefaultValue(true)]
        public bool UseFlash { get; set; }

        [Setting]
        [DefaultValue(80)]
        public int ForesightHPPercent { get; set; }

        [Setting]
        [DefaultValue(60)]
        public int BloodBathHPPercent { get; set; }

        [Setting]
        [DefaultValue(60)]
        public int ConvalescenceHPPercent { get; set; }

        [Setting]
        [DefaultValue(30)]
        public int ThrillofBattleHPPercent { get; set; }

        [Setting]
        [DefaultValue(55)]
        public int FeatherFootHPPercent { get; set; }

        [Setting]
        [DefaultValue(70)]
        public int UseOPUntilTPPercent { get; set; }

        [Setting]
        [DefaultValue(50)]
        public int UseFlashUntilManaPercent { get; set; }

        [Setting]
        [DefaultValue(true)]
        public bool InterruptTarget { get; set; }

        [Setting]
        [DefaultValue("Brutal Swing")]
        public string PullSpell { get; set; }

        [Setting]
        [DefaultValue(true)]
        public bool UseBerserk { get; set; }

    }
}
